# API 참조

HTTP 요청을 사용하여 Edgegap 리소스에 대한 관리 기능에 액세스하세요.

<a href="https://raw.githubusercontent.com/edgegap/openapi-specification/refs/heads/main/edgegap-v2-openapi.yaml" class="button primary" data-icon="square-down">openapi \[v2] 다운로드</a> <a href="http://raw.githubusercontent.com/edgegap/openapi-specification/refs/heads/main/edgegap-v1-openapi.yaml" class="button secondary" data-icon="square-down">openapi \[v1] 다운로드</a>&#x20;

### 인증 토큰

Edgegap API용 비밀 토큰을 생성하고(그리고 확인하고) [대시보드 - 사용자 설정 / 토큰](https://app.edgegap.com/user-settings?tab=tokens).

각 API 요청에 비밀 토큰을 HTTP 헤더로 추가하세요(단어 `token`):

`Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62`

{% hint style="danger" %}
**Edgegap API 엔드포인트를 게임 클라이언트에 통합하지 마세요. API 토큰이 계정에 대한 무제한 접근 권한을 제공하기 때문입니다. 안전한 클라이언트 대상 API 엔드포인트와 기능은** [통합](/docs.edgegap.com-ko/docs/api/integration.md) **을(를) 참조하세요.**
{% endhint %}

{% hint style="success" %}
비밀 토큰이 유출된 경우 이를 삭제하고 조직 구성원 비밀번호를 업데이트하세요.
{% endhint %}

### 응답 페이지네이션

응답에 너무 많은 항목이 포함될 경우, 페이지네이션 정보가 있는 데이터의 하위 집합을 반환합니다:

<pre class="language-json"><code class="lang-json">{
  "total_count": 100,
  "data": ["foo-0", "[...]", "bar-9"],
  "<a data-footnote-ref href="#user-content-fn-1">페이지네이션</a>": {
    "number": 1,
    "next_page_number": 2,
    "previous_page_number": null
    "paginator": {
      "num_pages": 10
    },
    "has_next": true,
    "has_previous": false
  }
}
</code></pre>

페이지네이션된 응답의 경우 다음 매개변수를 사용하세요 `page` 및 `limit`  더 많은 결과를 가져오려면:

* 두 번째 페이지: `https://api.edgegap.com/v1/apps?`**`page=2`**
* 더 많은 결과: `https://api.edgegap.com/v1/apps?`**`limit=20`**
* 결합: `https://api.edgegap.com/v1/apps?`**`page=2&limit=20`**

### 요청 제한

플랫폼 안정성을 보장하고 예기치 않은 청구서를 방지하기 위해, 조직의 API 사용량에 요청 제한을 적용합니다:

* [배포](/docs.edgegap.com-ko/learn/orchestration/deployments.md) 초당 40개 요청으로,
* [배포](/docs.edgegap.com-ko/learn/orchestration/deployments.md#context-and-status) 초당 20개 요청으로.

{% hint style="info" %}
[문의하기](mailto:info@edgegap.com) 을 **릴리스를 계획하고, 부하 테스트를 실행하고, 출시 트래픽을 추정하고, 성공을 대비하세요.**
{% endhint %}

[^1]: 페이지네이션 정보를 포함합니다


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.edgegap.com/docs.edgegap.com-ko/docs/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
